package com.org.hktshop.K3Id.Base;

import com.org.hktshop.utils.MathUtil;
/***
 * Class M_Helper
 * 辅助类
 */
public class M_Helper {

    /***
     * 阻值转换成 编码
     * @param inValue
     * @param lengType 默认为 4
     */
    public static String ZzChangeToCode(String inValue, Integer lengType) {
        inValue = inValue.toUpperCase().replace("Ω", "");
        Integer powValue = 1;

        if (inValue.contains("K")) {
            powValue = 1000;
            inValue = inValue.replace("K", "");
        }
        if (inValue.contains("M")) {
            powValue = 1000000;
            inValue = inValue.replace("M", "");
        }
        Double dValue = MathUtil.toDouble(inValue);
        dValue = dValue * powValue;

        inValue = dValue.toString();
        String tempValue = "";
        if (dValue < 1) {
            if (lengType == 3) tempValue = inValue.replace("0.", "R");
            else {
                tempValue = inValue.replace(".", "R");
                if (tempValue.length() > 4) tempValue = tempValue.substring(1);
            }
            //处理0Ω转换问题
            String temp = tempValue.replace("R","");
            if (temp.equals("00") || temp.equals("000")) tempValue = temp;
            return String.format("%-" + lengType + "s", tempValue).replace(" ", "0");
        } else if (dValue < 10) {
            tempValue = inValue.replace(".", "R");
            return String.format("%-" + lengType + "s", tempValue).replace(" ", "0");
        } else if (dValue < 100) {
            int temp = dValue.intValue();
            inValue = temp + "";
            tempValue = inValue;
            if (lengType == 4) tempValue = inValue + "R";
            return String.format("%-" + lengType + "s", tempValue).replace(" ", "0");
        } else {

            int temp = dValue.intValue();
            inValue = temp + "";

            Integer Value = Integer.valueOf("1" + inValue.substring( lengType - 1));
            Double tValue = Math.log10(Value);
            return inValue.substring(0, lengType - 1) + tValue.intValue();
        }
    }

    /***
     * @param WcCode
     * @return string
     * @deprecated 误差
     */
    public static String WuCha(String WcCode) {
        //误差值
        switch (WcCode) {
            case "D":
                return "±0.5%";
            case "F":
                return "±1%";
            case "G":
                return "±2%";
            case "J":
                return "±5%";
            case "K":
                return "±10%";
            case "M":
                return "±20%";
            default:
                return WcCode + "误差未知";
        }
    }

    public static String WuChaToCode(String inValue) {
        switch (inValue) {
            case "±0.05%":
            case "±0.05pF":
                return "A";
            case "±0.1pF":
            case "±0.1%":
                return "B";
            case "±0.25pF":
                return "C";
            case "±0.5pF":
                return "D";
            case "±0.5%":
            case "±1%":
                return "F";
            case "±2%":
                return "G";
            case "±5%":
                return "J";
            case "±10%":
                return "K";
            case "±20%":
                return "M";
            case "±25%":
                return "N";
            case "±30%":
                return "S";
            case "-20+80%":
                return "Z";
            default:
                return "[" + inValue + "误差不清]";
        }
    }


    /***
     * @param inValue
     * @deprecated 耐压标识转换
     */
    public static String NaiYa(String inValue) {
        switch (inValue) {
            case "0A":
                return "2.5V";
            case "0B":
                return "4V";
            case "0C":
                return "5.5V";
            case "0D":
                return "6.3V";
            case "1A":
                return "10V";
            case "1B":
                return "16V";
            case "1C":
                return "20V";
            case "1D":
                return "25V";
            case "1E":
                return "35V";
            case "1F":
                return "50V";
            case "1J":
                return "63V";
            case "1H":
                return "80V";
            case "2A":
                return "100V";
            case "2B":
                return "110V";
            case "2C":
                return "125V";
            case "2D":
                return "160V";
            case "2E":
                return "180V";
            case "2F":
                return "200V";
            case "2G":
                return "220V";
            case "2H":
                return "250V";
            case "2I":
                return "300V";
            case "2J":
                return "315V";
            case "2K":
                return "350V";
            case "2L":
                return "400V";
            case "2M":
                return "420V";
            case "2N":
                return "450V";
            case "2O":
                return "500V";
            case "2P":
                return "550V";
            case "2Q":
                return "630V";
            case "3A":
                return "1000V";
            case "3B":
                return "2000V";
            case "3C":
                return "3000V";
            case "3D":
                return "3150V";
            case "3E":
                return "4000V";
            default:
                return inValue + " 耐压未知";
        }
    }

    /***
     * 厂家转编码
     * 编码转厂家
     * @param inValue
     */
    public static String CodeToBrand(String inValue, Integer LangType) {
        switch (inValue) {
            case "01":
                return LangType == 1 ? "合科泰" : "HKT";
            case "03":
                return LangType == 1 ? "丽智" : "LIZ";
            case "04":
                return LangType == 1 ? "云科" : "YUNKE";
            case "05":
                return LangType == 1 ? "香港电阻" : "HKR";
            case "06":
                return LangType == 1 ? "旺诠" : "RALEC";
            case "07":
                return LangType == 1 ? "厚声" : "UniOhm";
            case "08":
                return LangType == 1 ? "天二" : "EVER OHMS";

            case "18":
                return "创瑞通";
            case "19":
                return LangType == 1 ? "台湾冠坤" : "Su'scon";
            case "20":
                return "恒力";
            case "21":
                return "玛尼";
            case "22":
                return LangType == 1 ? "德州仪器" : "TI";
            case "23":
                return "LT";
            case "24":
                return LangType == 1 ? "台湾合泰/盛群" : "HOLTEK";
            case "25":
                return LangType == 1 ? "豪林" : "HL";
            case "26":
                return "晶导微";
            case "27":
                return LangType == 1 ? "德昌" : "DC";
            case "28":
                return "FSC";
            case "29":
                return "TG";
            case "30":
                return "BL";
            case "31":
                return LangType == 1 ? "星海" : "XH";
            case "32":
                return LangType == 1 ? "不凡" : "BF";
            case "33":
                return LangType == 1 ? "日电电子" : "NEC";
            case "34":
                return "GD";
            case "35":
                return LangType == 1 ? "英飞凌" : "Infineon";
            case "36":
                return "SLS";
            case "37":
                return "XD";
            case "38":
                return "YJ";
            case "39":
                return LangType == 1 ? "罗姆" : "ROHM";
            case "40":
                return LangType == 1 ? "长电" : "CJ";
            case "41":
                return LangType == 1 ? "乐山无线电" : "LRC";
            case "42":
                return LangType == 1 ? "龙" : "ALJ";
            case "43":
                return LangType == 1 ? "科信" : "KEXIN";
            case "44":
                return LangType == 1 ? "先科电子" : "ST";
            case "45":
                return "桂微";
            case "46":
                return LangType == 1 ? "威世" : "VISHAY";
            case "47":
                return LangType == 1 ? "仙童" : "Fairchild";
            case "48":
                return LangType == 1 ? "美台" : "DIODES";
            case "49":
                return LangType == 1 ? "奥仕镁" : "AOSM";
            case "50":
                return LangType == 1 ? "恩智浦" : "NXP";
            case "51":
                return LangType == 1 ? "美国微芯" : "MICROCHIP";
            case "52":
                return LangType == 1 ? "辰达行" : "MDD";
            case "53":
                return LangType == 1 ? "安森美" : "ON";
            case "54":
                return "永光";
            case "55":
                return "MSV";
            case "56":
                return LangType == 1 ? "宏发" : "HF";
            case "57":
                return LangType == 1 ? "东芝" : "TOSHIBA";
            case "59":
                return "BHQ";
            case "60":
                return "HQ";
            case "61":
                return LangType == 1 ? "时科" : "SHIKUES";
            case "62":
                return "TCD";
            case "63":
                return LangType == 1 ? "华羿" : "HY";
            case "64":
                return LangType == 1 ? "长虹电子" : "SEP";
            case "65":
                return LangType == 1 ? "艾迈斯半导体" : "AMS";
            case "66":
                return LangType == 1 ? "顺源" : "SY";
            case "67":
                return LangType == 1 ? "台湾亿光" : "EVERLIGHT";
            case "68":
                return LangType == 1 ? "驼峰" : "TF";
            case "69":
                return "GSM";
            case "70":
                return LangType == 1 ? "风华" : "FH";
            case "71":
                return LangType == 1 ? "三星" : "SAM";
            case "72":
                return LangType == 1 ? "三环" : "CCTC";
            case "73":
                return LangType == 1 ? "宇阳科技" : "YY";
            case "74":
                return LangType == 1 ? "村田" : "MURATA";
            case "75":
                return "AVX";
            case "76":
                return LangType == 1 ? "基美" : "KEMET";
            case "78":
                return "松填";
            case "79":
                return LangType == 1 ? "华新科" : "HX";
            case "80":
                return "TDK";
            case "81":
                return LangType == 1 ? "友顺" : "UTC";
            case "82":
                return LangType == 1 ? "国巨" : "YAGEO";
            case "83":
                return LangType == 1 ? "达芳" : "DARFON";
            case "84":
                return "EY";
            case "85":
                return "迪一";
            case "86":
                return LangType == 1 ? "太诱" : "TAIYOU";
            case "87":
                return LangType == 1 ? "博林" : "BL";
            case "88":
                return LangType == 1 ? "扬杰" : "YJ";
            case "89":
                return "IXYS";
            case "90":
                return "KIA";
            case "91":
                return "PFC";
            case "92":
                return "SKYWORKS";
            case "93":
                return "安华高";
            case "94":
                return "格瑞宝";
            case "95":
                return "光电子";
            case "96":
                return "华润华晶";
            case "97":
                return "吉林华微";
            case "98":
                return "镁光";
            case "99":
                return "平伟";

            case "10A":
                return "杨兴科技";
            case "10B":
                return "时恒";
            case "10C":
                return "湘怡中元";
            case "10D":
                return LangType == 1 ? "顺络" : "Sunlord";
            case "10E":
                return LangType == 1 ? "意法半导体" : "ST";
            case "10F":
                return LangType == 1 ? "艾普凌科" : "ABLIC";
            case "10G":
                return LangType == 1 ? "捷得" : "ABRACON";
            case "10H":
                return LangType == 1 ? "亚德诺" : "ADI";
            case "10I":
                return "AEM";
            case "10J":
                return LangType == 1 ? "沛亨半导体" : "AIC";
            case "10K":
                return LangType == 1 ? "艾华集团" : "AISHI";
            case "10L":
                return LangType == 1 ? "美国埃戈罗" : "ALLEGRO";
            case "10M":
                return LangType == 1 ? "安茂微" : "AME";
            case "10N":
                return LangType == 1 ? "台湾安邦" : "AnBon";

            case "10P":
                return LangType == 1 ? "茂达电子" : "ANPEC";
            case "10Q":
                return LangType == 1 ? "台湾亚瑟莱特" : "Axelite";
            case "10R":
                return LangType == 1 ? "宝乘" : "baocheng";
            case "10S":
                return LangType == 1 ? "台湾诚阳" : "BC";
            case "10T":
                return LangType == 1 ? "绿宝石" : "BERYL";
            case "10V":
                return LangType == 1 ? "上海贝岭" : "BL";
            case "10W":
                return LangType == 1 ? "蓝箭" : "BLUE ROCKET";
            case "10X":
                return LangType == 1 ? "伯恩半导体" : "BORN";
            case "10Y":
                return LangType == 1 ? "伯恩斯" : "BOURNS";
            case "10Z":
                return LangType == 1 ? "台湾君耀" : "Brightking";

            case "11A":
                return LangType == 1 ? "广芯电子" : "BROADCHIP";
            case "11B":
                return LangType == 1 ? "博通" : "Broadcom";
            case "11C":
                return LangType == 1 ? "佰鸿" : "BrtLed";
            case "11D":
                return LangType == 1 ? "台湾丰宾" : "CapXon";
            case "11E":
                return LangType == 1 ? "千志电子" : "CCO";
            case "11F":
                return LangType == 1 ? "振华" : "CEC";
            case "11G":
                return LangType == 1 ? "振华新云" : "CEC";
            case "11H":
                return LangType == 1 ? "华瑞" : "CET";
            case "11I":
                return LangType == 1 ? "奇力新" : "chilisin";
            case "11J":
                return LangType == 1 ? "西铁城" : "CITIZEN";
            case "11K":
                return LangType == 1 ? "线艺" : "Coilcraft";
            case "11L":
                return LangType == 1 ? "冠西" : "cosmo";
            case "11M":
                return LangType == 1 ? "科锐" : "CREE";
            case "11N":
                return LangType == 1 ? "兆龙" : "CT MICRO";
            case "11P":
                return LangType == 1 ? "乾坤" : "Cyntec";
            case "11R":
                return "CEL";

            case "11S":
                return LangType == 1 ? "中环" : "Central";
            case "11T":
                return LangType == 1 ? "力芯微" : "ETEK";
            case "11U":
                return LangType == 1 ? "屹晶微" : "EG";
            case "11V":
                return "EIC";
            case "11W":
                return LangType == 1 ? "聚洵" : "Gainsil";
            case "11X":
                return LangType == 1 ? "捷茂微" : "GATEMODE";
            case "11Y":
                return "士兰微";
            case "11Z":
                return "世纪金光";

            case "12A":
                return LangType == 1 ? "对余科技" : "DIOFIT";
            case "12B":
                return LangType == 1 ? "德欧泰克" : "DIOTEC";
            case "12C":
                return LangType == 1 ? "东沃" : "DOWO";
            case "12D":
                return LangType == 1 ? "台湾兆欣" : "EMTEK";
            case "12E":
                return LangType == 1 ? "银河微" : "银河微";
            case "12F":
                return LangType == 1 ? "艾科嘉" : "EXAR";
            case "12G":
                return LangType == 1 ? "风华邦科" : "FH-BK";
            case "12H":
                return LangType == 1 ? "台湾第一电阻" : "Firstohm";
            case "12I":
                return LangType == 1 ? "天钰" : "FITIPOWER";
            case "12J":
                return LangType == 1 ? "粤翔" : "FlyWin";
            case "12K":
                return LangType == 1 ? "台湾美丽微" : "FMS";
            case "12L":
                return LangType == 1 ? "富满" : "FM";
            case "12M":
                return LangType == 1 ? "台湾富致" : "FUZETEC";
            case "12N":
                return LangType == 1 ? "台湾固锝" : "GD";
            case "12P":
                return LangType == 1 ? "固锝" : "GOOD-ARK";
            case "12Q":
                return LangType == 1 ? "国炬" : "GOOGLL";
            case "12R":
                return LangType == 1 ? "高创科技" : "gotrend";
            case "12S":
                return LangType == 1 ? "固驰" : "GUERTE";
            case "12T":
                return LangType == 1 ? "台湾唯圣" : "GW";
            case "12U":
                return LangType == 1 ? "华冠" : "HGSEMI";
            case "12W":
                return LangType == 1 ? "金誉" : "HT";
            case "12X":
                return LangType == 1 ? "宏达电" : "HTC";
            case "12Y":
                return LangType == 1 ? "华威集团" : "HUAWEI";
            case "12Z":
                return LangType == 1 ? "虹扬" : "HY";

            case "13A":
                return LangType == 1 ? "日银IMP微电子" : "IMP";
            case "13C":
                return LangType == 1 ? "赢海" : "INGHAi";
            case "13D":
                return LangType == 1 ? "台湾佳邦" : "INPAQ";
            case "13E":
                return LangType == 1 ? "英特矽尔" : "Intersil";
            case "13F":
                return LangType == 1 ? "桑德斯" : "SMC";
            case "13G":
                return LangType == 1 ? "瑞能半导体" : "WeEn";
            case "13H":
                return "台湾双羽";
            case "13I":
                return "台湾元基";
            case "13J":
                return "中科芯亿达";
            case "13K":
                return LangType == 1 ? "东科" : "DK";
            case "13L":
                return LangType == 1 ? "东晶" : "ECEC";
            case "13M":
                return LangType == 1 ? "爱普生" : "EPSON";
            case "13N":
                return LangType == 1 ? "美国福斯特" : "FIRST";
            case "13P":
                return LangType == 1 ? "谷峰" : "GOFORD";
            case "13Q":
                return LangType == 1 ? "台湾加高" : "HELE";
            case "13R":
                return LangType == 1 ? "台湾鸿星" : "HOSONIC";
            case "13S":
                return LangType == 1 ? "华弈微" : "HUAYI";
            case "13U":
                return "无锡新洁能";
            case "13V":
                return LangType == 1 ? "台湾富晶" : "FORTUNE";
            case "13W":
                return LangType == 1 ? "峰岹" : "Fortior Tech";
            case "13X":
                return "无锡紫光微";
            case "13Y":
                return LangType == 1 ? "约翰逊" : "JOHANSON";
            case "13Z":
                return LangType == 1 ? "京瓷" : "kyocera";

            case "14A":
                return LangType == 1 ? "信昌电陶" : "PSA";
            case "14B":
                return LangType == 1 ? "黄宝石" : "TOPAZ";
            case "14c":
                return LangType == 1 ? "美信" : "maxim";
            case "14D":
                return "KEC";
            case "14E":
                return "步步精";
            case "14F":
                return LangType == 1 ? "安世" : "nexperia";
            case "14G":
                return LangType == 1 ? "铨力" : "ALLPOWER";
            case "14H":
                return LangType == 1 ? "萨科微" : "SLKOR";
            case "14I":
                return "台产";
            case "14J":
                return LangType == 1 ? "禾伸堂" : "HEC";
            case "14K":
                return "POWER";
            case "14L":
                return LangType == 1 ? "凌特" : "LINEAR";
            case "14M":
                return LangType == 1 ? "瑞萨" : "RENESAS";
            case "14N":
                return LangType == 1 ? "赛思灵" : "Xilinx";
            case "14P":
                return LangType == 1 ? "红宝石" : "Rubycon";
            case "14Q":
                return LangType == 1 ? "友台" : "UMW";
            case "14R":
                return LangType == 1 ? "泰科天润" : "泰科天润";
            case "14S":
                return LangType == 1 ? "特瑞仕" : "特瑞仕";
            case "14T":
                return LangType == 1 ? "统懋" : "统懋";
            case "14U":
                return LangType == 1 ? "兴芯智能" : "兴芯智能";
            case "14V":
                return LangType == 1 ? "智威" : "智威";
            case "14W":
                return LangType == 1 ? "敦南" : "LITEON";
            case "14X":
                return LangType == 1 ? "强茂" : "PANJIT";
            case "14Y":
                return LangType == 1 ? "美微科" : "MCC";
            case "14Z":
                return LangType == 1 ? "ICT" : "ICT";

            case "15A":
                return LangType == 1 ? "IR" : "IR";
            case "15B":
                return LangType == 1 ? "SEMTECH" : "SEMTECH";
            case "15C":
                return LangType == 1 ? "阿莫泰克" : "AMOTECH";
            case "15D":
                return LangType == 1 ? "达晶微" : "CREATEK";
            case "15E":
                return LangType == 1 ? "光宇睿芯" : "SINO-IC";
            case "15F":
                return LangType == 1 ? "捷捷微" : "JJW";
            case "15G":
                return LangType == 1 ? "晶讯" : "SEMITEL";
            case "15H":
                return LangType == 1 ? "晶焱" : "AMAZING";
            case "15I":
                return LangType == 1 ? "聚鼎" : "PTTC";
            case "15J":
                return LangType == 1 ? "力特" : "LITTEIFUSE";
            case "15K":
                return LangType == 1 ? "米客方德" : "MK";
            case "15L":
                return LangType == 1 ? "瑞隆源" : "RUILON";
            case "15M":
                return LangType == 1 ? "赛米微尔" : "SEMIWARE";
            case "15N":
                return LangType == 1 ? "新电元" : "新电元";
            case "15P":
                return LangType == 1 ? "硕凯" : "SOCAY";
            case "15Q":
                return LangType == 1 ? "松下" : "PANASONIC";
            case "15R":
                return LangType == 1 ? "韦尔" : "WILLSEMI";
            case "15S":
                return LangType == 1 ? "维攀微" : "WPM";
            case "15T":
                return LangType == 1 ? "芯导" : "Prisemi";
            case "15U":
                return LangType == 1 ? "应能微" : "Applied Power";
            case "15V":
                return LangType == 1 ? "鲁光" : "LGE";
            case "15W":
                return LangType == 1 ? "美隆" : "SUP";
            case "15X":
                return LangType == 1 ? "PROTEK" : "PROTEK";
            case "15Y":
                return LangType == 1 ? "国际整流" : "国际整流";
            case "15Z":
                return LangType == 1 ? "鞍山圣罗佳" : "鞍山圣罗佳";
            case "16A":
                return LangType == 1 ? "日立" : "日立";
            case "16B":
                return LangType == 1 ? "瑞昱" : "REALTEK";
            case "16C":
                return LangType == 1 ? "CSC" : "CSC";
            case "16D":
                return LangType == 1 ? "TERMINUS" : "TERMINUS";
            case "16E":
                return LangType == 1 ? "金海特" : "金海特";
            case "16F":
                return LangType == 1 ? "AMPAK" : "AMPAK";
            case "16G":
                return LangType == 1 ? "森美特" : "SUNMATE";
            case "16H":
                return LangType == 1 ? "雷卯" : "Leiditech";
            case "16I":
                return LangType == 1 ? "金开盛" : "JKSEMI";
            case "16J":
                return LangType == 1 ? "典琦" : "Comchip Technology";
            case "16L":
                return LangType == 1 ? "矽力杰" : "silergy";
            case "16M":
                return LangType == 1 ? "智晶" : "PN SILICON";
            case "16N":
                return LangType == 1 ? "AOS" : "AOS";
            case "16P":
                return LangType == 1 ? "泰科" : "TE Connectivity";
            case "16Q":
                return LangType == 1 ? "力勤" : "Chenmko";
            case "16R":
                return LangType == 1 ? "南京沁恒" : "WCH";

            default:
                return inValue + "输入未定义";
        }
    }

    /***
     * 厂家转编码
     * 编码转厂家
     * @param inValue
     */
    public static String BrandToCode(String inValue) {
        switch (inValue) {
            case "合科泰":
            case "HKT":
                return "01";
            case "丽智":
            case "LIZ":
                return "03";
            case "云科":
            case "YUNKE":
                return "04";
            case "香港电阻":
            case "HKR":
                return "05";
            case "旺诠":
            case "RALEC":
                return "06";
            case "台湾厚声":
            case "厚声":
            case "UniOhm":
                return "07";
            case "天二科技":
            case "天二":
            case "EVER OHMS":
                return "08";

            case "创瑞通":
                return "18";
            case "台湾冠坤":
            case "Su'scon":
                return "19";
            case "恒力":
                return "20";
            case "玛尼":
                return "21";
            case "德州仪器":
            case "TI":
                return "22";
            case "LT":
                return "23";
            case "台湾合泰":
            case "合泰":
            case "盛群":
            case "HOLTEK":
                return "24";
            case "豪林":
            case "HL":
                return "25";
            case "晶导微":
                return "26";
            case "德昌":
            case "DC":
                return "27";
            case "FSC":
                return "28";
            case "TG":
                return "29";
            case "BL":
                return "30";
            case "星海":
            case "XH":
                return "31";
            case "不凡":
            case "BF":
                return "32";
            case "日电电子":
            case "NEC":
                return "33";
            case "GD":
                return "34";
            case "英飞凌":
            case "Infineon":
                return "35";
            case "SLS":
                return "36";
            case "XD":
                return "37";
            case "YJ":
                return "38";
            case "罗姆":
            case "ROHM":
                return "39";
            case "长电":
            case "CJ":
                return "40";
            case "乐山无线电":
            case "LRC":
                return "41";
            case "龙":
            case "ALJ":
                return "42";
            case "科信":
            case "KEXIN":
                return "43";
            case "先科电子":
            case "先科":
                return "44";
            case "桂微":
                return "45";
            case "威世":
            case "VISHAY":
                return "46";
            case "仙童":
            case "Fairchild":
                return "47";
            case "美台":
            case "DIODES":
                return "48";
            case "奥仕镁":
            case "AOSM":
                return "49";
            case "恩智浦":
            case "NXP":
                return "50";
            case "美国微芯":
            case "MICROCHIP":
                return "51";
            case "辰达行":
            case "MDD":
                return "52";
            case "安森美":
            case "ON":
                return "53";
            case "永光":
                return "54";
            case "MSV":
                return "55";
            case "宏发":
            case "HF":
                return "56";
            case "东芝":
            case "TOSHIBA":
                return "57";
            case "BHQ":
                return "59";
            case "HQ":
                return "60";
            case "时科":
            case "SHIKUES":
                return "61";
            case "TCD":
                return "62";
            case "华羿":
                return "63";
            case "长虹电子":
            case "SEP":
                return "64";
            case "艾迈斯半导体":
            case "AMS":
                return "65";
            case "顺源":
            case "SY":
                return "66";
            case "台湾亿光":
            case "EVERLIGHT":
                return "67";
            case "驼峰":
            case "TF":
                return "68";
            case "GSM":
                return "69";
            case "风华":
            case "FH":
                return "70";
            case "三星":
            case "SAM":
                return "71";
            case "三环":
            case "CCTC":
                return "72";
            case "宇阳科技":
            case "YY":
                return "73";
            case "村田":
            case "MURATA":
                return "74";
            case "AVX":
                return "75";
            case "基美":
            case "KEMET":
                return "76";
            case "松填":
                return "78";
            case "华新科":
            case "HX":
                return "79";
            case "TDK":
                return "80";
            case "友顺":
            case "UTC":
                return "81";
            case "国巨":
            case "YAGEO":
                return "82";
            case "达芳":
            case "DARFON":
                return "83";
            case "EY":
                return "84";
            case "迪一":
                return "85";
            case "太诱":
            case "TAIYOU":
                return "86";
            case "博林":
                return "87";
            case "扬杰":
                return "88";
            case "IXYS":
                return "89";
            case "KIA":
                return "90";
            case "PFC":
                return "91";
            case "SKYWORKS":
                return "92";
            case "安华高":
                return "93";
            case "格瑞宝":
                return "94";
            case "光电子":
                return "95";
            case "华润华晶":
                return "96";
            case "吉林华微":
                return "97";
            case "镁光":
                return "98";
            case "平伟":
                return "99";

            case "杨兴科技":
                return "10A";
            case "时恒":
                return "10B";
            case "湘怡中元":
                return "10C";
            case "顺络":
            case "Sunlord":
                return "10D";
            case "意法半导体":
            case "ST":
                return "10E";
            case "艾普凌科":
            case "ABLIC":
                return "10F";
            case "捷得":
            case "ABRACON":
                return "10G";
            case "亚德诺":
            case "ADI":
                return "10H";
            case "AEM":
                return "10I";
            case "沛亨半导体":
            case "AIC":
                return "10J";
            case "艾华集团":
            case "AISHI":
                return "10K";
            case "美国埃戈罗":
            case "ALLEGRO":
                return "10L";
            case "安茂微":
            case "AME":
                return "10M";
            case "台湾安邦":
            case "AnBon":
                return "10N";
            case "茂达电子":
            case "ANPEC":
                return "10P";
            case "台湾亚瑟莱特":
            case "Axelite":
                return "10Q";
            case "宝乘":
            case "baocheng":
                return "10R";
            case "台湾诚阳":
            case "BC":
                return "10S";
            case "绿宝石":
            case "BERYL":
                return "10T";
            case "上海贝岭":
                return "10V";
            case "蓝箭":
            case "BLUE ROCKET":
                return "10W";
            case "伯恩半导体":
            case "BORN":
                return "10X";
            case "伯恩斯":
            case "BOURNS":
                return "10Y";
            case "台湾君耀":
            case "君耀":
            case "Brightking":
                return "10Z";

            case "广芯电子":
            case "BROADCHIP":
                return "11A";
            case "博通":
            case "Broadcom":
                return "11B";
            case "佰鸿":
            case "BrtLed":
                return "11C";
            case "台湾丰宾":
            case "CapXon":
                return "11D";
            case "千志电子":
            case "CCO":
                return "11E";
            case "振华":
            case "CEC":
                return "11F";
            case "振华新云":
                return "11G";
            case "华瑞":
            case "CET":
                return "11H";
            case "奇力新":
            case "chilisin":
                return "11I";
            case "西铁城":
            case "CITIZEN":
                return "11J";
            case "线艺":
            case "Coilcraft":
                return "11K";
            case "冠西":
            case "cosmo":
                return "11L";
            case "科锐":
            case "CREE":
                return "11M";
            case "兆龙":
            case "CT MICRO":
                return "11N";
            case "乾坤":
            case "Cyntec":
                return "11P";
            case "CEL":
                return "11R";

            case "中环":
            case "Central":
                return "11S";
            case "力芯微":
            case "ETEK":
                return "11T";
            case "屹晶微":
            case "EG":
                return "11U";
            case "EIC":
                return "11V";
            case "聚洵":
            case "Gainsil":
                return "11W";
            case "捷茂微":
            case "GATEMODE":
                return "11X";
            case "士兰微":
                return "11Y";
            case "世纪金光":
                return "11Z";

            case "对余科技":
            case "DIOFIT":
                return "12A";
            case "德欧泰克":
            case "DIOTEC":
                return "12B";
            case "东沃":
            case "DOWO":
                return "12C";
            case "台湾兆欣":
            case "EMTEK":
                return "12D";
            case "银河微":
                return "12E";
            case "艾科嘉":
            case "EXAR":
                return "12F";
            case "风华邦科":
            case "FH-BK":
                return "12G";
            case "台湾第一电阻":
            case "Firstohm":
                return "12H";
            case "天钰":
            case "FITIPOWER":
                return "12I";
            case "粤翔":
            case "FlyWin":
                return "12J";
            case "台湾美丽微":
            case "美丽微":
            case "FMS":
                return "12K";
            case "富满":
            case "FM":
                return "12L";
            case "台湾富致":
            case "FUZETEC":
                return "12M";
            case "台湾固锝":
                return "12N";
            case "固锝":
            case "GOOD-ARK":
                return "12P";
            case "国炬":
            case "GOOGLL":
                return "12Q";
            case "高创科技":
            case "gotrend":
                return "12R";
            case "固驰":
            case "GUERTE":
                return "12S";
            case "台湾唯圣":
            case "唯圣":
            case "GW":
                return "12T";
            case "华冠":
            case "HGSEMI":
                return "12U";
            case "金誉":
            case "HT":
                return "12W";
            case "宏达电":
            case "HTC":
                return "12X";
            case "华威集团":
            case "HUAWEI":
                return "12Y";
            case "虹扬":
                return "12Z";

            case "日银IMP微电子":
            case "IMP":
                return "13A";
            case "赢海":
            case "INGHAi":
                return "13C";
            case "台湾佳邦":
            case "INPAQ":
                return "13D";
            case "英特矽尔":
            case "Intersil":
                return "13E";
            case "桑德斯":
            case "SMC":
                return "13F";
            case "瑞能半导体":
            case "瑞能":
            case "WeEn":
                return "13G";
            case "台湾双羽":
                return "13H";
            case "台湾元基":
            case "元基":
                return "13I";
            case "中科芯亿达":
                return "13J";
            case "东科":
            case "DK":
                return "13K";
            case "东晶":
            case "ECEC":
                return "13L";
            case "爱普生":
            case "EPSON":
                return "13M";
            case "美国福斯特":
            case "FIRST":
                return "13N";
            case "谷峰":
            case "GOFORD":
                return "13P";
            case "台湾加高":
            case "HELE":
                return "13Q";
            case "台湾鸿星":
            case "HOSONIC":
                return "13R";
            case "华弈微":
            case "HUAYI":
                return "13S";
            case "无锡新洁能":
                return "13U";
            case "台湾富晶":
            case "FORTUNE":
                return "13V";
            case "峰岹":
            case "Fortior Tech":
                return "13W";
            case "无锡紫光微":
                return "13X";
            case "约翰逊":
            case "JOHANSON":
                return "13Y";
            case "京瓷":
            case "kyocera":
                return "13Z";

            case "信昌电陶":
            case "PSA":
                return "14A";
            case "黄宝石":
            case "TOPAZ":
                return "14B";
            case "美信":
            case "maxim":
                return "14c";
            case "KEC":
                return "14D";
            case "步步精":
                return "14E";
            case "安世":
            case "nexperia":
                return "14F";
            case "铨力":
            case "ALLPOWER":
                return "14G";
            case "萨科微":
            case "SLKOR":
                return "14H";
            case "台产":
                return "14I";
            case "禾伸堂":
            case "HEC":
                return "14J";
            case "POWER":
                return "14K";
            case "凌特":
            case "LINEAR":
                return "14L";
            case "瑞萨":
            case "RENESAS":
                return "14M";
            case "赛思灵":
            case "Xilinx":
                return "14N";
            case "红宝石":
            case "Rubycon":
                return "14P";
            case "友台":
            case "UMW":
                return "14Q";
            case "泰科天润":
                return "14R";
            case "特瑞仕":
                return "14S";
            case "统懋":
                return "14T";
            case "兴芯智能":
                return "14U";
            case "智威":
                return "14V";
            case "敦南":
            case "LITEON":
                return "14W";
            case "强茂":
            case "PANJIT":
                return "14X";
            case "美微科":
            case "MCC":
                return "14Y";
            case "ICT":
                return "14Z";

            case "IR":
                return "15A";
            case "SEMTECH":
                return "15B";
            case "阿莫泰克":
            case "AMOTECH":
                return "15C";
            case "达晶微":
            case "CREATEK":
                return "15D";
            case "光宇睿芯":
            case "SINO-IC":
                return "15E";
            case "捷捷微":
            case "JJW":
                return "15F";
            case "晶讯":
            case "SEMITEL":
                return "15G";
            case "晶焱":
            case "AMAZING":
                return "15H";
            case "聚鼎":
            case "PTTC":
                return "15I";
            case "力特":
            case "LITTEIFUSE":
                return "15J";
            case "米客方德":
            case "MK":
                return "15K";
            case "瑞隆源":
            case "RUILON":
                return "15L";
            case "赛米微尔":
            case "SEMIWARE":
                return "15M";
            case "新电元":
                return "15N";
            case "硕凯":
            case "SOCAY":
                return "15P";
            case "松下":
            case "PANASONIC":
                return "15Q";
            case "韦尔":
            case "WILLSEMI":
                return "15R";
            case "维攀微":
            case "WPM":
                return "15S";
            case "芯导":
            case "Prisemi":
                return "15T";
            case "应能微":
            case "Applied Power":
                return "15U";
            case "鲁光":
            case "LGE":
                return "15V";
            case "美隆":
            case "SUP":
                return "15W";
            case "PROTEK":
                return "15X";
            case "国际整流":
                return "15Y";
            case "鞍山圣罗佳":
                return "15Z";
            case "日立":
                return "16A";
            case "瑞昱":
            case "REALTEK":
                return "16B";
            case "CSC":
                return "16C";
            case "TERMINUS":
                return "16D";
            case "金海特":
                return "16E";
            case "AMPAK":
                return "16F";
            case "森美特":
            case "SUNMATE":
                return "16G";
            case "雷卯":
            case "Leiditech":
                return "16H";
            case "金开盛":
            case "JKSEMI":
                return "16I";
            case "典琦":
            case "Comchip Technology":
                return "16J";
            case "矽力杰":
            case "silergy":
                return "16L";
            case "智晶":
            case "PN SILICON":
                return "16M";
            case "AOS":
                return "16N";
            case "泰科":
                return "16P";
            case "力勤":
            case "Chenmko":
                return "16Q";
            case "南京沁恒":
            case "WCH":
                return "16R";

            default:
                return inValue + "输入未定义";
        }
    }


    /****
     * @deprecated 盘装环保变换
     * @param inValue
     */
    public static String PackToCode(String inValue) {
        Integer tempValue = MathUtil.toInteger(inValue) / 1000;
        Integer tempValue2 = (MathUtil.toInteger(inValue) % 1000) / 10;
        String ret = "";
        if (tempValue >= 10) ret = tempValue + "G";
        else if (tempValue >= 1) {
            if (tempValue2 > 0) {
                ret = (tempValue + "").replace(".", "G");//$tempValue . "G"
            } else {
                ret = tempValue + "G0";
            }
        } else if (tempValue2 >= 10) ret = "G" + tempValue2;
        else ret = "G0" + (tempValue2 + "").replace(".", "");
        return ret;
    }


    /***
     * @deprecated ic 封装规格转换
     * @param inValue
     */
    public static String IcPackageToCode(String inValue) {

        switch (inValue) {
            case "0201":
                return "0201";
            case "0402":
                return "0402";
            case "0603":
                return "0603";
            case "0805":
                return "0805";
            case "1206":
                return "1206";
            case "1210":
                return "1210";
            case "1806":
                return "1806";
            case "1808":
                return "1808";
            case "1812":
                return "1812";
            case "2010":
                return "2010";
            case "2512":
                return "2512";
            case "ABS":
                return "ABS";
            case "DBS":
                return "DBS";
            case "DFN0603":
                return "D0603";
            case "DFN0603-2L":
                return "D1006";
            case "DFN0603-D":
                return "D0603";
            case "DFN0603-X1":
                return "D0603X1";
            case "DFN0603-X3":
                return "D0603X3";
            case "DFN-10":
                return "DFN10";
            case "DFN1006":
                return "D1006";
            case "DFN1006-2":
                return "D1006";
            case "DFN1006-2L":
                return "D10062L";
            case "DFN1006-3L":
                return "D10063L";
            case "DFN1006P2E":
                return "D10062E";
            case "DFN1006P2X":
                return "D10062X";
            case "DFN1109-6L":
                return "D11096L";
            case "DFN2010":
                return "D2010";
            case "DFN2510":
                return "D2510";
            case "DFN2510A-10":
                return "D2510";
            case "DFN2510P10E":
                return "D2510";
            case "DFN2626-10":
                return "D2626";
            case "DFN-2L":
                return "DFN2L";
            case "DFN5010-10L":
                return "D501010L";
            case "DO-15":
                return "DO15";
            case "DO-204AH(DO-35)":
                return "DO35";
            case "DO-213AA":
                return "213AA";
            case "DO-213AB":
                return "213AB";
            case "DO-214BA":
                return "214BA";
            case "DO-41":
                return "DO41";
            case "DPAK":
                return "T252";
            case "DSON-10":
                return "DSON10";
            case "ESC":
                return "ESC";
            case "ESM":
                return "ESM";
            case "FBP-02C":
                return "FBP02C";
            case "LL-34":
                return "LL34";
            case "LLP-1006-2L":
                return "L1006";
            case "LS-31":
                return "LS31";
            case "MB-F":
                return "MBF";
            case "MB-M":
                return "MBM";
            case "MB-S":
                return "MBS";
            case "MELF":
                return "MELF";
            case "MICRO-MELF":
                return "MELF";
            case "MiniMELF":
                return "MELF";
            case "Mini-MELF(SOD-80,LL-34)":
                return "LL34";
            case "QSOP-16":
                return "QSOP16";
            case "SC-61":
                return "SC61";
            case "SC-70(SC-70-3)":
                return "SC70";
            case "SC-70-6(SOT-363)":
                return "S363";
            case "SC-74":
                return "SC74";
            case "SC-75(SOT-523)":
                return "S523";
            case "SC-88":
                return "SC88";
            case "SC-88(SOT-363)":
                return "S363";
            case "SC-88A":
                return "SC88A";
            case "SC-89":
                return "SC89";
            case "SGP1610N2":
                return "S1610";
            case "SLP1006P2":
                return "S1006";
            case "SLP1006P2T":
                return "S1006";
            case "SLP1510N6":
                return "SLP1510N6";
            case "SLP2116P8":
                return "SLP2116P8";
            case "SLP4016P16":
                return "SLP4016P16";
            case "SMA":
                return "214A";
            case "SMA(DO-214AC)":
                return "214A";
            case "SMAF":
                return "SMAF";
            case "SMB":
                return "214B";
            case "SMB(DO-214AA)":
                return "214B";
            case "SMBF":
                return "SMBF";
            case "SMC":
                return "214C";
            case "SMC(DO-214AB)":
                return "214C";
            case "SMD":
                return "SMD";
            case "SMF(DO-219AB)":
                return "219F";
            case "S-Mini":
                return "SMINI";
            case "SO-8":
                return "SO8";
            case "SOD-123":
                return "D123";
            case "SOD-123F":
                return "D123F";
            case "SOD-123FL":
                return "D123FL";
            case "SOD-123S":
                return "D123S";
            case "SOD-323":
                return "D323";
            case "SOD-323F":
                return "D323F";
            case "SOD-323FL":
                return "D323FL";
            case "SOD-523":
                return "D523";
            case "SOD-523F":
                return "D523F";
            case "SOD-723":
                return "D723";
            case "SOD-80":
                return "SD80";
            case "SOD-80C":
                return "D80C";
            case "SOD-882":
                return "D882";
            case "SOD-923":
                return "D923";
            case "SOD-962":
                return "D962";
            case "SOIC-8":
                return "SOIC8";
            case "SON-6":
                return "SON6";
            case "SOP-8":
                return "SOP8";
            case "SOT-143":
                return "S143";
            case "SOT-143B":
                return "S413B";
            case "SOT-223":
                return "S223";
            case "SOT-23":
                return "SO23";
            case "SOT-23-3":
                return "SO23";
            case "SOT-23-3L":
                return "SO23L";
            case "SOT-23-5":
                return "SO235";
            case "SOT-23-6":
                return "SO236";
            case "SOT-23-6L":
                return "S236L";
            case "SOT-23L":
                return "SO23L";
            case "SOT-26":
                return "SO26";
            case "SOT-323":
                return "S323";
            case "SOT-323(SC-70)":
                return "S323";
            case "SOT-323-5":
                return "S3235";
            case "SOT-323-5L":
                return "S3235L";
            case "SOT-353":
                return "S353";
            case "SOT-363":
                return "S363";
            case "SOT-416":
                return "S416";
            case "SOT-416FL":
                return "S416FL";
            case "SOT-553":
                return "S553";
            case "SOT-563":
                return "S563";
            case "SOT-665":
                return "S665";
            case "SOT-666":
                return "S666";
            case "SOT-666IP":
                return "S666IP";
            case "SOT-723":
                return "S723";
            case "SOT-753":
                return "S753";
            case "SOT-883":
                return "S883";
            case "SOT-89":
                return "SO89";
            case "SOT-9X3-3":
                return "S9X33";
            case "TO-126":
                return "T126";
            case "TO-220":
                return "T220";
            case "TO-220AC(TO-220-2)":
                return "T220AC";
            case "TO-220F":
                return "T220F";
            case "TO-220FP":
                return "T220FP";
            case "TO-247":
                return "T247";
            case "TO-252":
                return "T252";
            case "TO-252-2(DPAK)":
                return "T252";
            case "TO-263":
                return "T263";
            case "TO-263-2":
                return "T2632";
            case "TO-92":
                return "TO92";
            case "TSOC-6":
                return "TSOC6";
            case "TSOP-5":
                return "TSOP5";
            case "TSOP-6":
                return "TSOP6";
            case "TSSOP-8":
                return "TSS8";
            case "UDFN-10":
                return "UDFN10";
            case "UDFN-14":
                return "UDFN14";
            case "UDFN-6":
                return "UDFN6";
            case "USC(SOD-323)":
                return "D323";
            case "USON-10":
                return "USON10";
            case "USV(SC-70-5)":
                return "SC705";
            case "VESM":
                return "VESM";
            case "WBFBP-02C":
                return "W02C";
            case "X1-DFN1006-2":
                return "D1006";
            case "X1SON-2":
                return "X1SON2";
            case "X2-DFN1006-2":
                return "D10062X";
            case "X3DFN-2":
                return "X3DFN2";
            case "XSON-10":
                return "XSON10";
            case "GBU":
                return "GBU";
            case "D3K":
                return "D3K";
            case "KBJ":
                return "KBJ";
            case "MiniDIP":
                return "DIP";
            case "DB-S":
                return "DBS";
            case "UMB":
                return "UMB";
            case "TO-269AA":
                return "269AA";
            case "SOP":
                return "SOP";
            case "TMBF":
                return "TMBF";
            case "GBP":
                return "GBP";
            case "SC-79":
                return "SC79";
            case "D-FLAT":
                return "DFLAT";
            case "D2PAK":
                return "D2PAK";
            case "DO-201AD":
                return "D201AD";
            case "DO-204AC":
                return "D204AC";
            case "DO-214AB":
                return "D214AB";
            case "DO-220AA":
                return "D220AA";
            case "DO-247":
                return "D247";
            case "DO-27":
                return "DO27";
            case "ITO-220AB":
                return "IT220AB";
            case "ITO-220AC":
                return "IT220AC";
            case "PMDS":
                return "PMDS";
            case "Power Tab":
                return "POWER";
            case "PowerDI 123":
                return "PD123";
            case "PowerDI 5":
                return "PDI5";
            case "R-1":
                return "R1";
            case "SMA-FL":
                return "SMAFL";
            case "SMA-W":
                return "SMAW";
            case "SOT-23(SOT-23-3)":
                return "SO23";
            case "TO-220(TO-220-3)":
                return "T220";
            case "TO-220AB":
                return "T220AB";
            case "TO-220F(TO-220IS)":
                return "T220F";
            case "TO-220F-3":
                return "T220F3";
            case "TO-220FPAC":
                return "T220FPAC";
            case "TO-220Ins":
                return "T220";
            case "TO-247(AC)":
                return "T247AC";
            case "TO-247-2L":
                return "T2472L";
            case "TO-247AC":
                return "T247AC";
            case "TO-247AD":
                return "T247AD";
            case "TO-252-3":
                return "T2523";
            case "TO-263-3":
                return "T2633";
            case "TO-3P":
                return "TO3P";
            case "TO-3PF":
                return "TO3PF";
            case "TUMD2":
                return "TUMD2";
            case "SMD 2.8*5mm":
                return "2850";
            case "SMD 2.8*5.0mm":
                return "2850";
            case "SMD 5*6.6mm":
                return "5066";
            case "SMD 6.2*4.2mm":
                return "6242";
            case "SMD 8*6mm":
                return "8060";
            case "SMD 5*7.5mm":
                return "5075";
            case "SMD 4.2*4mm":
                return "4240";
            case "SMD 5*7.6mm":
                return "5076";
            case "SMD 5.5*6mm":
                return "5560";
            case "SMD 4*4.2*4.2mm":
                return "4042";
            case "4.5*3.2*2.7":
                return "4532";
            case "SMD 3.3*6mm":
                return "3360";
            case "SMD 4.5*3.2*2.7mm":
                return "4532";
            case "4.5*3.2":
                return "4532";
            case "SMD 5*4.4mm":
                return "5044";
            case "SMD 5*5 4.2mm":
                return "5050";
            case "SMD 6.05*8.3mm":
                return "6083";
            case "SMD 5*5mm":
                return "5050";
            case "SMD 5*7.2mm":
                return "5072";
            case "SMD 5.4*5mm":
                return "5450";
            case "SMD 1.4*3.4mm":
                return "1434";
            case "SMD 6.2*4.1mm":
                return "6241";
            case "SMD 4.7*4mm":
                return "4740";
            case "1206-S":
                return "1206";
            case "DO-201":
                return "D201";
            case "DO-204AC(DO-15)":
                return "DO15";
            case "SC-90A":
                return "SC90A";
            case "SMAF-1":
                return "SMAF";
            case "SMB-FL":
                return "SMBFL";
            case "SOD-128":
                return "D128";
            case "TO-220C2L":
                return "T220";
            case "TO-220HF":
                return "T220";
            case "TO-220HF2L":
                return "T220";
            case "TO-3PB":
                return "T3PB";
            case "TO3P-3L":
                return "T3P3L";
            case "1408":
                return "1408";
            case "DO-201A-D":
                return "D201AD";
            case "DO-216AA":
                return "D216AA";
            case "DO-221AC":
                return "D221AC";
            case "DO-4(DO-203AA)":
                return "DO4";
            case "DO-5(DO-203AB)":
                return "DO5";
            case "DO-204AH (DO-35)":
                return "DO35";
            case "GF1(DO-214BA)":
                return "DO214BA";
            case "MicroSMP(DO-219AD)":
                return "D219AD";
            case "P600":
                return "P600";
            case "PowerDI123-2":
                return "DI123";
            case "QFN-2":
                return "QFN2";
            case "QFN-3":
                return "QFN3";
            case "SMAJ":
                return "SMAJ";
            case "SMD,1.3x2.5x1mm":
                return "1325";
            case "SMP(DO-220AA)":
                return "D220AA";
            case "SOD-106":
                return "D106";
            case "SOD-57":
                return "SD57";
            case "SOD123-FL":
                return "D123FL";
            case "TO-263AB":
                return "T263AB";
            case "TO-252AA":
                return "T252AA";
            case "TO-263AC":
                return "T263AC";
            case "TO-277A":
                return "T277A";
            case "U-DFN1608-2":
                return "D1608";
            case "X1-DFN1411-3":
                return "D1411X1";
            case "U-DFN3030-8":
                return "D30308";
            case "MINI-MELF":
                return "LL34";
            case "EMD3":
                return "EMD3";
            case "LL-41":
                return "LL41";
            case "SOD123":
                return "D123";
            case "SOD323":
                return "D323";
            case "SOD80C":
                return "D80C";
            case "UMD2":
                return "UMD2";
            case "USC":
                return "D323";
            case "X3-DFN0603-2":
                return "D0603X3";
            case "CLP0603-2M":
                return "C06032M";
            case "CLP1006-2L":
                return "C10062L";
            case "CLP1406-2L":
                return "C14062L";
            case "CP-3":
                return "CP3";
            case "CST2":
                return "CST2";
            case "GMD2":
                return "GMD2";
            case "ITO-220":
                return "IT220";
            case "PG-VSON-4":
                return "VSO4";
            case "PMDU":
                return "PMDU";
            case "QFN":
                return "QFN";
            case "SC-59":
                return "SC59";
            case "SC-82":
                return "SC82";
            case "SMA(W)":
                return "214A";
            case "SMA-F":
                return "214A";
            case "SMAF-A":
                return "SMAFA";
            case "SOT23":
                return "SO23";
            case "TO-220-F2":
                return "T220F2";
            default:
                return "[" + inValue + "无法解析]";
        }
    }
}